#ifndef _MOD_INFO_H_
#define _MOD_INFO_H_

// Some typedefs
typedef void (*DrawTextFunc_Type)(const char *Text, int X, int Y, DWORD Color, int FontSize);
typedef void (*DrawBitmapFunc_Type)(const char *BitmapName, int X, int Y, float ScaleX, float ScaleY);

// Helper structs
struct MOD_InitializeData
{
    char *GameVersion;
    int ScreenSizeX, ScreenSizeY;
    DrawTextFunc_Type DrawTextFunc;
    DrawBitmapFunc_Type DrawBitmapFunc;

    void *Reserved; // For future use
};

#endif